# Layout Builder Sections Access

This module adds two options for each Layout Builder Section to control access.

## Development goal

In Drupal's block management, there is the option to deactivate blocks or restrict them to certain roles. We want to enable this for Layout Build Sections as well. 

There are some workarounds using the "visually-hidden" class, but this still includes the information in the markup and can potentially lead to information disclosures.

## How to use

After installing the module, two new options are available for each section in the Layout Manager.

### Disable Section

The current section is not delivered in the frontend.

### Access per role

Only users with the selected roles can see this section. If no role is selected, this section will be displayed for all roles.

## Technical implementation

The Layout Builder does not handle "#access" entries in the render array. The module therefore sits at the end of the hook order and removes the "content" array and is therefore compatible with the other Layout Builder extensions we have tested.